- job:
    name: android-hikey960-optee-p
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 200
            num-to-keep: 60
    parameters:
        - string:
            name: OPTEE_VER
            default: master
        - string:
            name: OPTEE_OS_DBG
            default: n
        - string:
            name: OPTEE_CLN_DBG
            default: n
        - string:
            name: ghprbPullId
            default: ""
        - string:
            name: ghprbGhRepository
            default: ""
        - string:
            name: BUILD_DIR
            default: r-lcr-oreo
        - string:
            name: QA_SERVER
            default: 'https://qa-reports.linaro.org'
        - string:
            name: QA_SERVER_PROJECT
            default: 'hikey960-optee-p'
    disabled: true
    node: docker-xenial-aosp
    display-name: 'DELETE ME'
    concurrent: true
    triggers:
        - gerrit:
            server-name: __ANY__
            trigger-on:
                - change-merged-event
            projects:
                - project-compare-type: 'PLAIN'
                  project-pattern: 'android-patchsets'
                  branches:
                      - branch-compare-type: 'PLAIN'
                        branch-pattern: 'master'
                  file-paths:
                      - compare-type: 'PLAIN'
                        pattern: 'get-hikey960-gcc'
                      - compare-type: 'PLAIN'
                        pattern: 'get-hikey960-blobs'
                      - compare-type: 'PLAIN'
                        pattern: 'hikey-hikey960-optee-chgrev-common'
                      - compare-type: 'PLAIN'
                        pattern: 'hikey960-optee-p'
                      - compare-type: 'PLAIN'
                        pattern: 'hikey-hikey960-optee-common'
                      - compare-type: 'PLAIN'
                        pattern: 'hikey-optee-4.14'
                      - compare-type: 'PLAIN'
                        pattern: 'optee-master-workarounds'
                      - compare-type: 'PLAIN'
                        pattern: 'swg-mods-common'
                - project-compare-type: 'PLAIN'
                  project-pattern: 'platform/manifest'
                  branches:
                      - branch-compare-type: 'PLAIN'
                        branch-pattern: 'linaro-p-swg'
                  file-paths:
                      - compare-type: 'PLAIN'
                        pattern: 'hikey960.xml'
                      - compare-type: 'PLAIN'
                        pattern: 'linaro.xml'
                      - compare-type: 'PLAIN'
                        pattern: 'optee.xml'
                      - compare-type: 'PLAIN'
                        pattern: 'update-externals.xml'
                - project-compare-type: 'PLAIN'
                  project-pattern: 'android-build-configs'
                  branches:
                      - branch-compare-type: 'PLAIN'
                        branch-pattern: 'master'
                  file-paths:
                      - compare-type: 'PLAIN'
                        pattern: 'hikey960-optee-p'
    wrappers:
        - timestamps
        - timeout:
            timeout: 500
        - ssh-agent-credentials:
                users:
                    - '768c1ba1-6052-4b97-a531-7e4fabda6979'
        - credentials-binding:
            - text:
                credential-id: AP_SSID
                variable: AP_SSID
            - text:
                credential-id: AP_KEY
                variable: AP_KEY
            - text:
                credential-id: QA_REPORTS_TOKEN
                variable: QA_REPORTS_TOKEN
            - text:
                credential-id: ARTIFACTORIAL_TOKEN
                variable: ARTIFACTORIAL_TOKEN
    builders:
        !include: android-hikey-optee/common/builders-v2-jinja2.yaml.inc
    publishers:
        !include: android-hikey-optee/common/publishers.yaml.inc
